Bug 483761 - We need section called "Installing Client Libraries" or similar.
We need section called "Installing Client Libraries" or similar.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Installation_and_Configuration_Guide (Show other bugs)
1.1
All Linux
medium Severity high
: 1.2
: ---
Assigned To: Lana Brindley
Frantisek Reznicek
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 09:46 EST by William Henry
Modified: 2015-11-15 19:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-12 16:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Henry 2009-02-03 09:46:06 EST
Description of problem:

We've had several customers ask about what libraries they need to on client-only machines. i.e. non-broker machine.

Obviously this is different for each language.

So for C++ clients they need qpidc for runtime. If they are developing on that machine then they will also need qpidc-devel.  Other dependencies will be required.

I'm not sure how much detailed info they will need. Perhaps just some instructions on how to get dependency information (e.g. yum deplist qpidc)

What's needed for this section is a list of rpms to copy over to the client machine or to share on a network drive and how to install them.

This brings up a larger question of how to make this even more simple.
There has been discussion about making these packages available on RHEL. But that would be a separate BZ. (later).
Comment 1 William Henry 2009-02-03 09:49:08 EST
Jonathan suggests that this section already exists in the tutorial and not the install guide.
Comment 2 William Henry 2009-02-03 09:53:54 EST
I'm not seeing them anywhere - I see three install sections in Tutorial, Quickstart and Installation but it's not clear to me if any of these are for the client install.
Comment 3 William Henry 2009-02-03 11:16:59 EST
I think that this client-only install section needs to be in both the tutorial and installation guide.  

Reasons for being in the Installation Guide:
It just makes sense. There are two major components for each installation - the broker and the clients. For every install of the broker there will likely be many installs of the client-only for publishers and consumers.  

Installing client-only libraries has come up several times with customers and most look to the Installation guide first when looking for these instructions. I know I certainly went there first.
Comment 4 Lana Brindley 2009-10-11 17:15:26 EDT
(In reply to comment #0)
> Description of problem:
> 
> We've had several customers ask about what libraries they need to on
> client-only machines. i.e. non-broker machine.
> 
> Obviously this is different for each language.
> 
> So for C++ clients they need qpidc for runtime. If they are developing on that
> machine then they will also need qpidc-devel.  Other dependencies will be
> required.

This is in. Can you please provide information for the the other languages?

> 
> I'm not sure how much detailed info they will need. Perhaps just some
> instructions on how to get dependency information (e.g. yum deplist qpidc)


Included yum deplist.

L
Comment 5 Lana Brindley 2009-10-12 16:31:23 EDT
Closing this now as the book is going in for review for 1.2. William, when you have the extra info, please open a new bug.

LKB

Note You need to log in before you can comment on or make changes to this bug.